Subject: RE: TRIP

From: "John Mainwaring" <[email-masked]>
Date: Tue, 7 Dec 1999 14:32:33 -0500

|-----Original Message-----
|From: Hussein F. Salama [mailto:[email-masked]]
|Sent: Monday, December 06, 1999 7:56 PM
|To: Jonathan Rosenberg
|Cc: James Yu; [email-masked]'
|Subject: Re: TRIP
|
|
|
|
|Jonathan Rosenberg wrote:
|> 
|> I think TRIP should carry subscriber numbers, but that the LNP dip
|> should happen before the TRIP database is accessed. So, returning to
|> your example, a gateway reaching only switch A would advertise
|> +1-212-455* and a gateway reaching only switch B 
|+1-212-466*. A PC users
|> calls +1-212-455-1234. The INVITE is sent to its local proxy, which
|> first does an LNP dip. 
|
|The N-1 agreement in classic telephony makes the (N-1)th network (i.e.
|the next to last network), on the path towards the destination,
|responsible for making the LNP database query. I wonder what's the
|reason for this? Wouldn't executing the LNP database query at the
|originating network have resulted in more efficient routing?    

Unfortunately "the" NPDB is distributed around the country.  Nobody
particularly wanted to pay for it, and there may still be issues about who
pays for dips to the database.  Moreover, each switch has to store
information about which numbers it regards as portable.  Prior to LNP, all
that a switch in California might need to keep about area code 212 was a
route list of trunks heading east, with no breakdown by NXX.  There are
practical issues with increasing the scope of the data so that every switch
in North America knows the portability status of every possible 6-digit
NPA-NXX combination, related both to the size of the resulting data file and
the number of places the information has to come from.

Since the classic telephone network is inherently distributed, it made very
good sense to defer the NP query until the call came under the control of a
switch "within" the zone of portability of the called number.  (The term
"within" must be used in a logical rather than a physical sense.)

|> It translates this to an LRN of +1-212-456, which
|> is looked up in TRIP. The longest prefix match (which is an 
|exact match
|> for the LRN) is found. The INVITE is then sent to the next 
|hop towards
|> that LRN as learned through TRIP. The original dialed number will be
|> carried in the To field.
|> 
|
|Looks like a SIP extension is required to indicate to other signaling
|points on the call path that an LNP query has already been 
|done for this
|destination, in order to avoid multiple LNP queries for the same call.
|Is such a flag already there?

You might also want to consider the possible value of defering the NP query
as late as possible in the signaling path.  Memory is cheap, but filling it
with unreliable information may be less useful than leaving it unallocated.

|
|Hussein
|
|
|> Note that we could also allow switch B to advertise 
|+1-212-455-1234 in
|> TRIP. If the LNP dip is not done, the proxy will pick this because of
|> longest prefix matching, and the call still completes. 
|However, I would
|> recommend doing this, since it will result in a completely flat TRIP
|> routing table.

I assume that's a typo for "recommend NOT doing this".  In the same way, it
may be best not to attempt to maintain full portability information or do
LNP queries at source for all calls, no matter where they're bound.

|> 
|> -Jonathan R.
|> 
|> --
|> Jonathan D. Rosenberg                       200 Executive Drive
|> Chief Scientist                             Suite 120
|> dynamicsoft                                 West Orange, NJ 07052
|> [email-masked]                     FAX:   (732) 741-4778
|> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
|> http://www.dynamicsoft.com
|> 
|> ---------
|> This message came from the IETF IPTEL Working Group Mailing List.
|
|-- 
|Hussein F. Salama
|Cisco Systems
|Mail Stop SJC6/3, 170 W. Tasman Drive, San Jose, CA 95134
|Voice: +1 (408) 527-7147, Fax: +1 (408) 527-1714
|
|---------
|This message came from the IETF IPTEL Working Group Mailing List.

John Mainwaring
Nortel Networks
[email-masked]

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 07 Dec 1999 14:51:05 -0500

> John Mainwaring wrote:
> I assume that's a typo for "recommend NOT doing this".  In the same
> way, it may be best not to attempt to maintain full portability
> information or do LNP queries at source for all calls, no matter where
> they're bound.

Yes, that was a typo. I do not recommend injecting each ported number
into TRIP.
I'm less sure about deferring the LNP query to N-1. In the SIP
architecture,
at least, each proxy is responsible for doing a translation function
(called the
location service), which is similar in concept to an LNP database query.
I'll also
note that I have been told that the LNP dip being done at the N-1
carrier is
only a north american thing, and that in Europe, its done differently.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       200 Executive Drive
Chief Scientist                             Suite 120 
dynamicsoft                                 West Orange, NJ 07052
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---------
This message came from the IETF IPTEL Working Group Mailing List.